#pragma once
#pragma unmanaged
#include "BulletCollision/BroadphaseCollision/btSimpleBroadphase.h"
#pragma managed
#include "IBroadphaseInterface.h"
#include "IOverlappingPairCache.h"
using namespace System;

namespace BulletCLI 
{
    public ref class SimpleBroadphase : public IBroadphaseInterface
	{
	private:
		btBroadphaseInterface* m_p;
	internal:
		virtual btBroadphaseInterface* GetPtr() override {return m_p;}
	public:
        SimpleBroadphase();
		SimpleBroadphase(int maxProxies,IOverlappingPairCache^ overlappingPairCache);
		virtual ~SimpleBroadphase();
		!SimpleBroadphase();
	};
}